#include "Middleman.h"
#include <Application.h>
#include <GroupLayout.h>
#include <InterfaceDefs.h>
#include <Rect.h>
#include <Window.h>
#include <StringView.h>
#include "../App.h"
#include <format>

// Connection middleman window.
// This window, when called, automatically sets up a connection to the XMPP server.
Middleman::Middleman(const char* jid, const char* password, App *app) 
	: 	BWindow(BRect(200,200,600,400), TITLE, B_TITLED_WINDOW, B_NOT_MINIMIZABLE | B_QUIT_ON_WINDOW_CLOSE)
{
	BGroupLayout *group = new BGroupLayout(B_VERTICAL);
	SetLayout(group);

	group->View()->AdoptSystemColors();

	group->AddView(new BStringView("label", "Placeholder label (connection middleman to be added)"));
	group->AddView(new BStringView("label", std::format("JID: {}\nPassword: {}", jid, password).c_str()));
}
